Bug 26997 - initscript refers to non-existent built-in chains
Summary: initscript refers to non-existent built-in chains
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iptables   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-10 23:39 UTC by Ben Liblit
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-10 23:39:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Liblit 2001-02-10 23:39:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Win95; U)


In its "stop" and "panic" handlers, the iptables initscript refers to built-in chains "input", "output", and "forward".  There are no built-in chains with 
those names.  The proper names are "INPUT", "OUTPUT", and "FORWARD".

Reproducible: Always
Steps to Reproduce:
1. Set up an iptables-using kernel.  The chains can be empty, but be sure you have all of the right modules loaded up.
2. Run "service iptables stop" or "service iptables panic".

Actual Results:  Observed diagnostic output:  "iptables: Bad built-in chain name".

Expected Results:  Error-free execution of the initscript.

Comment 1 Bernhard Rosenkraenzer 2001-02-12 14:41:16 UTC
Fixed


Note You need to log in before you can comment on or make changes to this bug.